<?php
	
class events
{
	var $events = array(
	'Harvest Festival' => array( 'start' => '2011/09/06', 'end' => '2011/09/13'),
	'Pirates\' Day' => array( 'start' => '2011/09/19', 'end' => '2011/09/20'),
	'Brewfest' => array( 'start' => '2011/09/20', 'end' => '2011/10/05'),
	'Hallow\'s End' => array( 'start' => '2011/10/18', 'end' => '2011/10/31'),
	'Day of the Dead' => array( 'start' => '2011/11/01', 'end' => '2011/11/02'),
	'Pilgrim\'s Bounty' => array( 'start' => '2011/11/20', 'end' => '2011/11/26'),
	'Feast of Winter Veil' => array( 'start' => '2011/12/15', 'end' => '2012/01/02'),
	'Lunar Festival' => array( 'start' => '2012/01/22', 'end' => '2012/02/11'),
	'Love is in the Air' => array( 'start' => '2012/02/05', 'end' => '2012/02/20'),
	'Noblegarden' => array( 'start' => '2012/04/08', 'end' => '2012/04/15'),
	'Children\'s Week' => array( 'start' => '2012/04/29', 'end' => '2012/05/06'),
	'Midsummer Fire Festival' => array( 'start' => '2012/06/21', 'end' => '2012/07/05'),
	'Darkmoon Faire' => array( 'start' => '2012/05/06', 'end' => '2012/05/12'),
	'Fireworks Spectacular' => array( 'start' => '2012/07/04', 'end' => '2012/07/04')
	);


	function createDateRangeArray($start, $end) 
	{
		// Modified by JJ Geewax 

		$range = array();

		if (is_string($start) === true) $start = strtotime($start);
		if (is_string($end) === true ) $end = strtotime($end);

		if ($start > $end) return $this->createDateRangeArray($end, $start);

		do
		{
			$range[] = date('Y/m/d', $start);
			$start = strtotime("+ 1 day", $start);
		}
		while($start < $end);

		return $range;
	}
	
	function date_change($date)
	{
		$date = new DateTime($date);
		return $date->format('M j');
	}

	function display ()
	{
		$output='';
		foreach ($this->events as $event_name => $event)
		{
			//echo $event_name.'<br>';
			//now see if its the current event
			$e = $this->createDateRangeArray($this->events[$event_name]['start'], $this->events[$event_name]['end']);
			if (in_array(date('Y/m/d'), $e)) 
			{
				$image = str_replace(" ", "", $event_name);
				$image = str_replace("'", "", $image);

				//$output .='<img src="events/'.$image.'.png"></a>';
				//$output .=''.$this->date_change($this->events[$event_name]['start']).' - '.$this->date_change($this->events[$event_name]['end']);
				$output .= '<div style="display:block;position:relative;width:91px;height:91px;background:transparent url(events/'.$image.'.png) no-repeat;top:10px;left:10px;"></div>';
			}
		
		}
		return $output;
	}

}